package com.example.criminalintent;

import android.app.Fragment;
import android.text.Editable;
import android.text.TextWatcher;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;

public class CrimeFragment extends Fragment
{
	public static final String KEY_POS = "position";
	
	private Crime crime;
	private EditText titleField;
	private CheckBox solvedCrime;
	private Button dateButton;
	private int pos;
	
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		// Don't inflate the XML layout
		int pos = getArguments().getInt(KEY_POS);
		crime = CrimeLab.get(getActivity()).getCrimes().get(pos);
	}
	
	public View onCreateView(LayoutInflater inflater, ViewGroup parent, Bundle savedInstanceState)
	{
		View view = inflater.inflate(R.layout.fragment_crime, parent, false);
		
		titleField = (EditText)view.findViewById(R.id.crime_title);
		titleField.setText(crime.getTitle());
		titleField.addTextChangedListener(new TextWatcher() 
			{

				@Override
				public void afterTextChanged(Editable s)
				{				
				}

				@Override
				public void beforeTextChanged(CharSequence s, int start,
						int count, int after)
				{
				}

				@Override
				public void onTextChanged(CharSequence s, int start,
						int before, int count)
				{
					crime.setTitle(s.toString());
				}
			});
	
		solvedCrime = (CheckBox)view.findViewById(R.id.crime_solved);
		solvedCrime.setChecked(crime.isSolved());
		solvedCrime.setOnCheckedChangeListener(new OnCheckedChangeListener()
			{
				@Override
				public void onCheckedChanged(CompoundButton buttonView,	boolean isChecked)
				{
					crime.setSolved(isChecked);
				}
			});
		
		dateButton = (Button)view.findViewById(R.id.crime_date);
		dateButton.setText(crime.getDate().toString());
		dateButton.setEnabled(false);

		return view;
	}
	
	// Fragments can not use a constructor to receive data (try it, you'll see).
	// Instead, you use 'static final newInstance' and retrieve the argument(s) from 
	// the bundle via 'getArguments().getType(KEY)'
	public static final CrimeFragment newInstance(int position)
	{
	    CrimeFragment fragment = new CrimeFragment();
	    Bundle bundle = new Bundle();
	    bundle.putInt(KEY_POS, position);
	    fragment.setArguments(bundle);
	    return fragment;
	}

}
