package com.example.criminalintent;

import java.util.ArrayList;
import java.util.UUID;

import android.content.Context;

public class CrimeLab
{
	private static CrimeLab crimeLab;
	private Context context;
	private ArrayList<Crime> crimes;
	
	private CrimeLab(Context context)
	{
		super();
		this.context = context;
		this.crimes = new ArrayList<Crime>();
		
		for (int i = 0; i < 100; i++)
		{
			Crime crime = new Crime();
			crime.setTitle("Crime " + i);
			crime.setSolved((i % 2) == 0);
			crimes.add(crime);
		}
	}
	
	public static CrimeLab get(Context context)
	{
		if (crimeLab == null)
			crimeLab = new CrimeLab(context);
		return crimeLab;
	}
	
	public ArrayList<Crime> getCrimes()
	{
		return crimes;
	}
	
	public Crime getCrime(UUID id)
	{
		for (Crime crime: crimes)
		{
			if (crime.getId().equals(id))
				return crime;
		}
		return null;
	}
}
